
#ifndef UI_S_2D_TV_FORM_H
#define UI_S_2D_TV_FORM_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QFrame>
//#include <QtGui/QGridLayout>
//#include <QtGui/QGroupBox>
#include <QtGui/QHBoxLayout>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>
#include <QtGui/QMainWindow>
#include <QtGui/QPushButton>
#include <QtGui/QTextEdit>
#include <QtGui/QVBoxLayout>
#include <QtGui/QWidget>

class Ui_MainWindow
{
public:
    QWidget		*centralwidget;
    QVBoxLayout *vboxLayout;
    QWidget		*page_client;
    QVBoxLayout *vboxLayout5;
    QFrame		*frameMPlayer;
    QHBoxLayout *hboxLayout3;
	QLabel		*label1;
	QLabel		*label2;
	QLineEdit	*qsm_addr;
	QLineEdit	*qsm_port;
    QPushButton *pb_play;

    void setupUi(QMainWindow *MainWindow)
    {
    if (MainWindow->objectName().isEmpty())
        MainWindow->setObjectName(QString::fromUtf8("MainWindow"));
    MainWindow->resize(500, 250);
    QPalette palette;
    QBrush brush(QColor(0, 0, 0, 255));
    brush.setStyle(Qt::SolidPattern);
    palette.setBrush(QPalette::Active, QPalette::WindowText, brush);
    QBrush brush1(QColor(255, 255, 255, 255));
    brush1.setStyle(Qt::SolidPattern);
    palette.setBrush(QPalette::Active, QPalette::Button, brush1);
    palette.setBrush(QPalette::Active, QPalette::Light, brush1);
    palette.setBrush(QPalette::Active, QPalette::Midlight, brush1);
    QBrush brush2(QColor(127, 127, 127, 255));
    brush2.setStyle(Qt::SolidPattern);
    palette.setBrush(QPalette::Active, QPalette::Dark, brush2);
    QBrush brush3(QColor(170, 170, 170, 255));
    brush3.setStyle(Qt::SolidPattern);
    palette.setBrush(QPalette::Active, QPalette::Mid, brush3);
    palette.setBrush(QPalette::Active, QPalette::Text, brush);
    palette.setBrush(QPalette::Active, QPalette::BrightText, brush1);
    palette.setBrush(QPalette::Active, QPalette::ButtonText, brush);
    palette.setBrush(QPalette::Active, QPalette::Base, brush1);
    palette.setBrush(QPalette::Active, QPalette::Window, brush1);
    palette.setBrush(QPalette::Active, QPalette::Shadow, brush);
    palette.setBrush(QPalette::Active, QPalette::Highlight, brush);
    palette.setBrush(QPalette::Active, QPalette::HighlightedText, brush1);
    QBrush brush4(QColor(0, 0, 255, 255));
    brush4.setStyle(Qt::SolidPattern);
    palette.setBrush(QPalette::Active, QPalette::Link, brush4);
    QBrush brush5(QColor(255, 0, 255, 255));
    brush5.setStyle(Qt::SolidPattern);
    palette.setBrush(QPalette::Active, QPalette::LinkVisited, brush5);
    palette.setBrush(QPalette::Active, QPalette::AlternateBase, brush1);
    palette.setBrush(QPalette::Inactive, QPalette::WindowText, brush);
    palette.setBrush(QPalette::Inactive, QPalette::Button, brush1);
    palette.setBrush(QPalette::Inactive, QPalette::Light, brush1);
    palette.setBrush(QPalette::Inactive, QPalette::Midlight, brush1);
    palette.setBrush(QPalette::Inactive, QPalette::Dark, brush2);
    palette.setBrush(QPalette::Inactive, QPalette::Mid, brush3);
    palette.setBrush(QPalette::Inactive, QPalette::Text, brush);
    palette.setBrush(QPalette::Inactive, QPalette::BrightText, brush1);
    palette.setBrush(QPalette::Inactive, QPalette::ButtonText, brush);
    palette.setBrush(QPalette::Inactive, QPalette::Base, brush1);
    palette.setBrush(QPalette::Inactive, QPalette::Window, brush1);
    palette.setBrush(QPalette::Inactive, QPalette::Shadow, brush);
    palette.setBrush(QPalette::Inactive, QPalette::Highlight, brush);
    palette.setBrush(QPalette::Inactive, QPalette::HighlightedText, brush1);
    palette.setBrush(QPalette::Inactive, QPalette::Link, brush4);
    palette.setBrush(QPalette::Inactive, QPalette::LinkVisited, brush5);
    palette.setBrush(QPalette::Inactive, QPalette::AlternateBase, brush1);
    palette.setBrush(QPalette::Disabled, QPalette::WindowText, brush2);
    palette.setBrush(QPalette::Disabled, QPalette::Button, brush1);
    palette.setBrush(QPalette::Disabled, QPalette::Light, brush1);
    palette.setBrush(QPalette::Disabled, QPalette::Midlight, brush1);
    palette.setBrush(QPalette::Disabled, QPalette::Dark, brush2);
    palette.setBrush(QPalette::Disabled, QPalette::Mid, brush3);
    palette.setBrush(QPalette::Disabled, QPalette::Text, brush2);
    palette.setBrush(QPalette::Disabled, QPalette::BrightText, brush1);
    palette.setBrush(QPalette::Disabled, QPalette::ButtonText, brush2);
    palette.setBrush(QPalette::Disabled, QPalette::Base, brush1);
    palette.setBrush(QPalette::Disabled, QPalette::Window, brush1);
    palette.setBrush(QPalette::Disabled, QPalette::Shadow, brush);
    QBrush brush6(QColor(121, 125, 121, 255));
    brush6.setStyle(Qt::SolidPattern);
    palette.setBrush(QPalette::Disabled, QPalette::Highlight, brush6);
    QBrush brush7(QColor(207, 207, 207, 255));
    brush7.setStyle(Qt::SolidPattern);
    palette.setBrush(QPalette::Disabled, QPalette::HighlightedText, brush7);
    palette.setBrush(QPalette::Disabled, QPalette::Link, brush4);
    palette.setBrush(QPalette::Disabled, QPalette::LinkVisited, brush5);
    palette.setBrush(QPalette::Disabled, QPalette::AlternateBase, brush1);
    MainWindow->setPalette(palette);
    MainWindow->setMouseTracking(false);
    MainWindow->setLayoutDirection(Qt::LeftToRight);

    centralwidget = new QWidget(MainWindow);
    centralwidget->setObjectName(QString::fromUtf8("centralwidget"));
    vboxLayout = new QVBoxLayout(centralwidget);
    vboxLayout->setSpacing(0);
    vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));


    page_client = new QWidget();
    page_client->setObjectName(QString::fromUtf8("page_client"));
    QPalette palette4;
    palette4.setBrush(QPalette::Active, QPalette::Base, brush1);
    palette4.setBrush(QPalette::Active, QPalette::Window, brush);
    QBrush brush11(QColor(89, 89, 89, 255));
    brush11.setStyle(Qt::SolidPattern);
    palette4.setBrush(QPalette::Active, QPalette::Shadow, brush11);
    palette4.setBrush(QPalette::Inactive, QPalette::Base, brush1);
    palette4.setBrush(QPalette::Inactive, QPalette::Window, brush);
    palette4.setBrush(QPalette::Inactive, QPalette::Shadow, brush11);
    palette4.setBrush(QPalette::Disabled, QPalette::Base, brush);
    palette4.setBrush(QPalette::Disabled, QPalette::Window, brush);
    palette4.setBrush(QPalette::Disabled, QPalette::Shadow, brush11);
    page_client->setPalette(palette4);
    page_client->setAutoFillBackground(true);
    vboxLayout5 = new QVBoxLayout(page_client);
    vboxLayout5->setSpacing(6);
    vboxLayout5->setObjectName(QString::fromUtf8("vboxLayout5"));

    frameMPlayer = new QFrame(page_client);
    frameMPlayer->setObjectName(QString::fromUtf8("frameMPlayer"));
    QPalette palette5;
    palette5.setBrush(QPalette::Active, QPalette::WindowText, brush);
    QBrush brush12(QColor(150, 150, 150, 255));
    brush12.setStyle(Qt::SolidPattern);
    palette5.setBrush(QPalette::Active, QPalette::Button, brush12);
    QBrush brush13(QColor(225, 225, 225, 255));
    brush13.setStyle(Qt::SolidPattern);
    palette5.setBrush(QPalette::Active, QPalette::Light, brush13);
    QBrush brush14(QColor(187, 187, 187, 255));
    brush14.setStyle(Qt::SolidPattern);
    palette5.setBrush(QPalette::Active, QPalette::Midlight, brush14);
    QBrush brush15(QColor(75, 75, 75, 255));
    brush15.setStyle(Qt::SolidPattern);
    palette5.setBrush(QPalette::Active, QPalette::Dark, brush15);
    QBrush brush16(QColor(100, 100, 100, 255));
    brush16.setStyle(Qt::SolidPattern);
    palette5.setBrush(QPalette::Active, QPalette::Mid, brush16);
    palette5.setBrush(QPalette::Active, QPalette::Text, brush);
    palette5.setBrush(QPalette::Active, QPalette::BrightText, brush1);
    palette5.setBrush(QPalette::Active, QPalette::ButtonText, brush);
    palette5.setBrush(QPalette::Active, QPalette::Base, brush1);
    palette5.setBrush(QPalette::Active, QPalette::Window, brush12);
    palette5.setBrush(QPalette::Active, QPalette::Shadow, brush);
    palette5.setBrush(QPalette::Active, QPalette::Highlight, brush);
    palette5.setBrush(QPalette::Active, QPalette::HighlightedText, brush1);
    palette5.setBrush(QPalette::Active, QPalette::Link, brush4);
    palette5.setBrush(QPalette::Active, QPalette::LinkVisited, brush5);
    QBrush brush17(QColor(202, 202, 202, 255));
    brush17.setStyle(Qt::SolidPattern);
    palette5.setBrush(QPalette::Active, QPalette::AlternateBase, brush17);
    palette5.setBrush(QPalette::Inactive, QPalette::WindowText, brush);
    palette5.setBrush(QPalette::Inactive, QPalette::Button, brush12);
    palette5.setBrush(QPalette::Inactive, QPalette::Light, brush13);
    palette5.setBrush(QPalette::Inactive, QPalette::Midlight, brush14);
    palette5.setBrush(QPalette::Inactive, QPalette::Dark, brush15);
    palette5.setBrush(QPalette::Inactive, QPalette::Mid, brush16);
    palette5.setBrush(QPalette::Inactive, QPalette::Text, brush);
    palette5.setBrush(QPalette::Inactive, QPalette::BrightText, brush1);
    palette5.setBrush(QPalette::Inactive, QPalette::ButtonText, brush);
    palette5.setBrush(QPalette::Inactive, QPalette::Base, brush1);
    palette5.setBrush(QPalette::Inactive, QPalette::Window, brush12);
    palette5.setBrush(QPalette::Inactive, QPalette::Shadow, brush);
    palette5.setBrush(QPalette::Inactive, QPalette::Highlight, brush);
    palette5.setBrush(QPalette::Inactive, QPalette::HighlightedText, brush1);
    palette5.setBrush(QPalette::Inactive, QPalette::Link, brush4);
    palette5.setBrush(QPalette::Inactive, QPalette::LinkVisited, brush5);
    palette5.setBrush(QPalette::Inactive, QPalette::AlternateBase, brush17);
    palette5.setBrush(QPalette::Disabled, QPalette::WindowText, brush15);
    palette5.setBrush(QPalette::Disabled, QPalette::Button, brush12);
    palette5.setBrush(QPalette::Disabled, QPalette::Light, brush13);
    palette5.setBrush(QPalette::Disabled, QPalette::Midlight, brush14);
    palette5.setBrush(QPalette::Disabled, QPalette::Dark, brush15);
    palette5.setBrush(QPalette::Disabled, QPalette::Mid, brush16);
    palette5.setBrush(QPalette::Disabled, QPalette::Text, brush15);
    palette5.setBrush(QPalette::Disabled, QPalette::BrightText, brush1);
    palette5.setBrush(QPalette::Disabled, QPalette::ButtonText, brush15);
    palette5.setBrush(QPalette::Disabled, QPalette::Base, brush12);
    palette5.setBrush(QPalette::Disabled, QPalette::Window, brush12);
    palette5.setBrush(QPalette::Disabled, QPalette::Shadow, brush);
    palette5.setBrush(QPalette::Disabled, QPalette::Highlight, brush6);
    palette5.setBrush(QPalette::Disabled, QPalette::HighlightedText, brush7);
    palette5.setBrush(QPalette::Disabled, QPalette::Link, brush4);
    palette5.setBrush(QPalette::Disabled, QPalette::LinkVisited, brush5);
    palette5.setBrush(QPalette::Disabled, QPalette::AlternateBase, brush12);
    frameMPlayer->setPalette(palette5);
    frameMPlayer->setAutoFillBackground(false);
    frameMPlayer->setLineWidth(2);

    vboxLayout5->addWidget(frameMPlayer);

    vboxLayout->addWidget(page_client);

    hboxLayout3 = new QHBoxLayout();
    hboxLayout3->setSpacing(0);
    hboxLayout3->setObjectName(QString::fromUtf8("hboxLayout3"));

    QSizePolicy sizePolicy1(QSizePolicy::Preferred, QSizePolicy::Preferred);
    sizePolicy1.setHorizontalStretch(0);
    sizePolicy1.setVerticalStretch(0);

	label1 = new QLabel(QString::fromUtf8("Session Manager Address: "));
	label1->setMargin(10);
    hboxLayout3->addWidget(label1);

	qsm_addr = new QLineEdit;
	qsm_addr->setText(QString::fromUtf8("192.168.1.2"));
    sizePolicy1.setHeightForWidth(qsm_addr->sizePolicy().hasHeightForWidth());
    qsm_addr->setSizePolicy(sizePolicy1);
    qsm_addr->setMinimumSize(QSize(128, 32));
    qsm_addr->setMaximumSize(QSize(128, 32));
    qsm_addr->setBaseSize(QSize(96, 24));
    hboxLayout3->addWidget(qsm_addr);

	label2 = new QLabel(QString::fromUtf8("Port Number: "));
	label2->setMargin(10);
    hboxLayout3->addWidget(label2);

	qsm_port = new QLineEdit;
	qsm_port->setText(QString::fromUtf8("8585"));
    sizePolicy1.setHeightForWidth(qsm_port->sizePolicy().hasHeightForWidth());
    qsm_port->setSizePolicy(sizePolicy1);
    qsm_port->setMinimumSize(QSize(64, 32));
    qsm_port->setMaximumSize(QSize(64, 32));
    qsm_port->setBaseSize(QSize(96, 24));
    hboxLayout3->addWidget(qsm_port);

    pb_play = new QPushButton(centralwidget);
    pb_play->setObjectName(QString::fromUtf8("pb_play"));
    QPalette palette10;
    palette10.setBrush(QPalette::Active, QPalette::WindowText, brush);
    palette10.setBrush(QPalette::Active, QPalette::Button, brush1);
    palette10.setBrush(QPalette::Active, QPalette::Light, brush1);
    palette10.setBrush(QPalette::Active, QPalette::Midlight, brush1);
    palette10.setBrush(QPalette::Active, QPalette::Dark, brush2);
    palette10.setBrush(QPalette::Active, QPalette::Mid, brush3);
    palette10.setBrush(QPalette::Active, QPalette::Text, brush);
    palette10.setBrush(QPalette::Active, QPalette::BrightText, brush1);
    palette10.setBrush(QPalette::Active, QPalette::ButtonText, brush);
    palette10.setBrush(QPalette::Active, QPalette::Base, brush1);
    palette10.setBrush(QPalette::Active, QPalette::Window, brush1);
    palette10.setBrush(QPalette::Active, QPalette::Shadow, brush);
    palette10.setBrush(QPalette::Active, QPalette::Highlight, brush);
    palette10.setBrush(QPalette::Active, QPalette::HighlightedText, brush1);
    palette10.setBrush(QPalette::Active, QPalette::Link, brush4);
    palette10.setBrush(QPalette::Active, QPalette::LinkVisited, brush5);
    palette10.setBrush(QPalette::Active, QPalette::AlternateBase, brush1);
    palette10.setBrush(QPalette::Inactive, QPalette::WindowText, brush);
    palette10.setBrush(QPalette::Inactive, QPalette::Button, brush1);
    palette10.setBrush(QPalette::Inactive, QPalette::Light, brush1);
    palette10.setBrush(QPalette::Inactive, QPalette::Midlight, brush1);
    palette10.setBrush(QPalette::Inactive, QPalette::Dark, brush2);
    palette10.setBrush(QPalette::Inactive, QPalette::Mid, brush3);
    palette10.setBrush(QPalette::Inactive, QPalette::Text, brush);
    palette10.setBrush(QPalette::Inactive, QPalette::BrightText, brush1);
    palette10.setBrush(QPalette::Inactive, QPalette::ButtonText, brush);
    palette10.setBrush(QPalette::Inactive, QPalette::Base, brush1);
    palette10.setBrush(QPalette::Inactive, QPalette::Window, brush1);
    palette10.setBrush(QPalette::Inactive, QPalette::Shadow, brush);
    palette10.setBrush(QPalette::Inactive, QPalette::Highlight, brush);
    palette10.setBrush(QPalette::Inactive, QPalette::HighlightedText, brush1);
    palette10.setBrush(QPalette::Inactive, QPalette::Link, brush4);
    palette10.setBrush(QPalette::Inactive, QPalette::LinkVisited, brush5);
    palette10.setBrush(QPalette::Inactive, QPalette::AlternateBase, brush1);
    palette10.setBrush(QPalette::Disabled, QPalette::WindowText, brush2);
    palette10.setBrush(QPalette::Disabled, QPalette::Button, brush1);
    palette10.setBrush(QPalette::Disabled, QPalette::Light, brush1);
    palette10.setBrush(QPalette::Disabled, QPalette::Midlight, brush1);
    palette10.setBrush(QPalette::Disabled, QPalette::Dark, brush2);
    palette10.setBrush(QPalette::Disabled, QPalette::Mid, brush3);
    palette10.setBrush(QPalette::Disabled, QPalette::Text, brush2);
    palette10.setBrush(QPalette::Disabled, QPalette::BrightText, brush1);
    palette10.setBrush(QPalette::Disabled, QPalette::ButtonText, brush2);
    palette10.setBrush(QPalette::Disabled, QPalette::Base, brush1);
    palette10.setBrush(QPalette::Disabled, QPalette::Window, brush1);
    palette10.setBrush(QPalette::Disabled, QPalette::Shadow, brush);
    palette10.setBrush(QPalette::Disabled, QPalette::Highlight, brush6);
    palette10.setBrush(QPalette::Disabled, QPalette::HighlightedText, brush7);
    palette10.setBrush(QPalette::Disabled, QPalette::Link, brush4);
    palette10.setBrush(QPalette::Disabled, QPalette::LinkVisited, brush5);
    palette10.setBrush(QPalette::Disabled, QPalette::AlternateBase, brush1);
    pb_play->setPalette(palette10);
    pb_play->setCursor(QCursor(Qt::PointingHandCursor));
    pb_play->setAutoFillBackground(false);
    pb_play->setIcon(QIcon(QString::fromUtf8(":/mobile/player/qrc/mobile_play.png")));
    pb_play->setIconSize(QSize(32, 32));
    pb_play->setFlat(true);

    hboxLayout3->addWidget(pb_play);


    vboxLayout->addLayout(hboxLayout3);

    MainWindow->setCentralWidget(centralwidget);

    retranslateUi(MainWindow);

    QMetaObject::connectSlotsByName(MainWindow);
    } // setupUi

    void retranslateUi(QMainWindow *MainWindow)
    {
    MainWindow->setWindowTitle(QApplication::translate("MainWindow", "MainWindow", 0, QApplication::UnicodeUTF8));
    pb_play->setText(QString());
    } // retranslateUi

};

namespace Ui {
    class MainWindow: public Ui_MainWindow {};
} // namespace Ui

#endif // UI_S_2D_TV_FORM_H
